// ServerProtocolListener.java
//
// Informatics 45 Spring 2010
// Code Example: GUI with Simple Sockets
//
// This is an interface that represents the two ways that the ServerProtocol
// can communicate with its listeners (in the case of this program, the only
// listener is the GUI frame, though the ServerProtocol doesn't know that or
// rely on it).
//
// There are four things that the ServerProtocol can tell the GUI, each
// represented by a method in this interface:
//
// * "I succeeded in accepting a connection from a client.  Here is the
//    address where that client connected from."
//
// * "I received the HELLO message from the client.  Here is the name of
//    the client."
//
// * "A connection to a client was closed."
//
// * "I failed while accepting or handling a connection.  Here is the
//    reason why I failed."

package inf45.spring2010.examples.sockets3.protocol;


public interface ServerProtocolListener
{
	void connectionAccepted(String clientAddress);
	void helloReceived(String otherName);
	void connectionClosed();
	void protocolFailed(Exception failureReason);
}
